## org.jfree.chart.imagemap
Class OverLIBToolTipTagFragmentGenerator

    java.lang.Object
      org.jfree.chart.imagemap.OverLIBToolTipTagFragmentGenerator

All Implemented Interfaces:
  ToolTipTagFragmentGenerator

public class OverLIBToolTipTagFragmentGenerator
extends java.lang.Object
implements ToolTipTagFragmentGenerator

Generates tooltips using the OverLIB library (http://www.bosrup.com/web/overlib/).

Author:
  Richard Atkinson

Constructor Summary
`OverLIBToolTipTagFragmentGenerator()`

Method Summary
`java.lang.String` `generateToolTipFragment(java.lang.String toolTipText)` Generates a tooltip string to go in an HTML image map.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OverLIBToolTipTagFragmentGenerator

    public OverLIBToolTipTagFragmentGenerator()

Method Detail

### generateToolTipFragment

    public java.lang.String generateToolTipFragment(java.lang.String toolTipText)

  Generates a tooltip string to go in an HTML image map.

  Specified by:
    `generateToolTipFragment` in interface `ToolTipTagFragmentGenerator`
  Parameters:
    `toolTipText` - the tooltip.
  Returns:
    the formatted HTML area tag attribute(s).